package com.pms.ocp.controller;

import com.pms.ocp.model.vo.ResponseVO;
import com.pms.ocp.service.ModelCheckRuleService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author huxiuwu
 * @version 1.0
 * @date 2022/4/11 17:15
 */
@Slf4j
@RequestMapping("/modelCheck")
@RestController
@Api(tags = "模型管控-模型信息校验")
public class ModelCheckRuleController {

    @Resource
    private ModelCheckRuleService modelCheckRuleService;

    @ApiOperation("模型校验")
    @GetMapping("/checkRule")
    public ResponseVO checkRule(@ApiParam(value = "搜索条件") @RequestParam(value = "modelCode", required = false)String modelCode,@ApiParam(value = "搜索条件") @RequestParam(value = "requirementCode", required = false)String requirementCode){
        List<String> checkRules = modelCheckRuleService.checkRule(modelCode, requirementCode);
        return ResponseVO.ok(checkRules);
    }

}
